
function [fire, transition] = MOD_Multiplier_PRE (transition)

switch transition.name
    case {'tMI', 'tMO'}
        % no additional conditions, 
        % other than in COMMON_PRE
        fire = 1;  
                
    case 'tML' 
        multX = 1;
        tokID1 = tokenAny('pML1',1);
        colors = get_color('pML1', tokID1);
        for i = 1:numel(colors)
            colorI = colors{i};
            numI = str2num(colorI);
            if not(isempty(numI))
                multX = prod(numI);
            end
        end
        transition.override = 1;
        transition.new_color = {num2str(multX)};
        fire = 1;  
end




