% Adder Module

function [png] = PDF_Adder()

png.PN_name = 'Adder';           % NAME OF THE MODULE
png.set_of_Ps = {'pAL1','pAL2'};        % SET OF PLACES
png.set_of_Ts = {'tAI','tAL','tAO'};    % SET OF TRANSITIONS

% SET OF ARCS
png.set_of_As = {'tAI','pAL1',1, ...    % tAI
    'pAL1','tAL',1, 'tAL','pAL2',1, ... % tAL
    'pAL2','tAO',1};                    % tAO

png.set_of_Ports = {'tAI', 'tAO'};    % SET OF INPUT/OUTPUT PORTS
