% Module for Testing Adder

function [png] = PDF_Client()

png.PN_name = 'Client';   % NAME OF THE MODULE
png.set_of_Ps = {'pCL0','pCL1','pCL2'};        % SET OF PLACES
png.set_of_Ts = {'tCI','tCL1','tCL2','tCO'};    % SET OF TRANSITIONS

% SET OF ARCS
png.set_of_As = {'pCL0','tCL1',1, 'tCL1','pCL1',1, ... % tCL1
                 'pCL1','tCO', 1,...  % tCO
                 'tCI','pCL2',1,...   % tCI
                 'pCL2','tCL2', 1 ... % tCL2
                 };

png.set_of_Ports = {'tCI', 'tCO'};    % SET OF INPUT/OUTPUT PORTS
