% MSF
clear all; clc;
global global_info
global_info.STOP_AT = 20;

% input data
a = 1; b = 2; c = 3; x = -1;

global_info.NUMBERS1 = [a, x, x];
global_info.NUMBERS2 = [b, x, 1];
global_info.NUMBERS3 = c;

pns = pnstruct({'PDF_Adder', 'PDF_Multiplier', 'PDF_Client', 'PDF_IMC'});
dyn.ft = {'allothers', 1};
dyn.m0 = {'pCL0',3};
pni = initialdynamics(pns, dyn);
sim = gpensim(pni);

FSum = a*x*x + b*x + c;
if eq(FSum, global_info.NUMBERS3(4))
    disp(['It works!!  (', num2str(FSum), ')']);
end
