
function [fire, transition] = MOD_Adder_PRE (transition)

switch transition.name
    case {'tAI', 'tAO'} 
        % no additional conditions, 
        % other than in COMMON_PRE
        fire = 1; 
        
    case 'tAL' 
        Sigma = 0;
        tokID1 = tokenAny('pAL1',1);
        colors = get_color('pAL1', tokID1);
        for i = 1:numel(colors)
            colorI = colors{i};
            numI = str2num(colorI); %#ok<ST2NM>
            if not(isempty(numI))
                Sigma = sum(numI);
            end
        end
        transition.override = 1;
        transition.new_color = {num2str(Sigma)};
        fire = 1;

end

