function [fire, transition] = MOD_Client_PRE (transition)

global global_info

switch transition.name
    case {'tCI', 'tCO'}
        fire = 1;  % no additional conditions, other than in COMMON_PRE
    
    case 'tCL2'
        tokID1 = tokenAny('pCL2',1);
        colors = get_color('pCL2', tokID1);
        for i = 1:numel(colors)
            colorI = colors{i};
            numI = str2num(colorI);
            if not(isempty(numI))
                %disp(numI);
                global_info.NUMBERS3 = [global_info.NUMBERS3 numI];
            end
        end
        fire = 1;        
        
    case 'tCL1'
        stepNo = 4-ntokens('pCL0');
        if eq(stepNo, 3) 
            if ne(length(global_info.NUMBERS3), 3)
                fire = 0; 
                return 
            end
        end
                
        eval(['NUMBERS = global_info.NUMBERS', int2str(stepNo),';']);
        %colors = {num2str(NUMBERS(1)), num2str(NUMBERS(2)), num2str(NUMBERS(3))};
        
        switch stepNo            
            case {1, 2}
                transition.new_color = {num2str(NUMBERS), 'MULT'};
            case 3
                transition.new_color = {num2str(NUMBERS) 'ADD'};
        end            
        fire = 1;    
 
    
end
        

