% Multiplier Module

function [png] = PDF_Multiplier()

png.PN_name = 'Multiplier';           % NAME OF THE MODULE
png.set_of_Ps = {'pML1','pML2'};        % SET OF PLACES
png.set_of_Ts = {'tMI','tML','tMO'};    % SET OF TRANSITIONS

% SET OF ARCS
png.set_of_As = {'tMI','pML1',1, ...    % tMI
    'pML1','tML',1, 'tML','pML2',1, ... % tML
    'pML2','tMO',1};                    % tMO

png.set_of_Ports = {'tMI', 'tMO'};    % SET OF INPUT/OUTPUT PORTS
